## xfce4-dxreminders-plugin 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(xfce4-dxreminders-plugin C)

# version number
set(xfce4-dxreminders-plugin_version_major "1")
set(xfce4-dxreminders-plugin_version_minor "0")
set(xfce4-dxreminders-plugin_version_micro "0")
set(xfce4-dxreminders-plugin_version "${xfce4-dxreminders-plugin_version_major}.${xfce4-dxreminders-plugin_version_minor}.${xfce4-dxreminders-plugin_version_micro}")

include(GNUInstallDirs)

add_subdirectory(icons)
add_subdirectory(panel-plugin)
add_subdirectory(po)

set(ARCHIVE_NAME "xfce4-dxreminders-plugin-${xfce4-dxreminders-plugin_version}")
add_custom_target(dist COMMAND cd ${CMAKE_CURRENT_SOURCE_DIR} &&
    rm -rf ${ARCHIVE_NAME} &&
    svn export . ${ARCHIVE_NAME} &&
    tar czf ${ARCHIVE_NAME}.tar.gz ${ARCHIVE_NAME} &&
    rm -rf ${ARCHIVE_NAME}
)

# uninstall target
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake
    IMMEDIATE @ONLY)
add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake)

message(STATUS "xfce4-dxreminders-plugin")
message(STATUS "Install prefix:    ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Build type:        ${CMAKE_BUILD_TYPE}")

=== icons/CMakeLists.txt ===
set(INSTALL_ICONDIR ${CMAKE_INSTALL_DATADIR}/icons/hicolor)

install(FILES dxreminders16.png DESTINATION ${INSTALL_ICONDIR}/16x16/apps RENAME xfce4-dxreminders-plugin.png)

install(FILES dxreminders22.png DESTINATION ${INSTALL_ICONDIR}/22x22/apps RENAME xfce4-dxreminders-plugin.png)

install(FILES dxreminders24.png DESTINATION ${INSTALL_ICONDIR}/24x24/apps RENAME xfce4-dxreminders-plugin.png)

install(FILES dxreminders32.png DESTINATION ${INSTALL_ICONDIR}/32x32/apps RENAME xfce4-dxreminders-plugin.png)

install(FILES dxreminders36.png DESTINATION ${INSTALL_ICONDIR}/36x36/apps RENAME xfce4-dxreminders-plugin.png)

install(FILES dxreminders48.png DESTINATION ${INSTALL_ICONDIR}/48x48/apps RENAME xfce4-dxreminders-plugin.png)

install(FILES dxreminders.svg DESTINATION ${INSTALL_ICONDIR}/scalable/apps RENAME xfce4-dxreminders-plugin.svg)

=== panel-plugin/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)
pkg_check_modules(libxfce4panel REQUIRED IMPORTED_TARGET libxfce4panel-2.0>=4.11)
pkg_check_modules(libxfce4ui REQUIRED IMPORTED_TARGET libxfce4ui-2>=4.11)

add_library(dxreminders MODULE
    dxreminders.c
    dxreminders-dialogs.c)

target_link_libraries(dxreminders
    PkgConfig::libxfce4panel
    PkgConfig::libxfce4ui)

if(CMAKE_BUILD_TYPE MATCHES Debug)
add_definitions(-DDEBUG)
endif(CMAKE_BUILD_TYPE MATCHES Debug)

target_compile_options(dxreminders PRIVATE -Wall -Wextra)

target_compile_definitions(dxreminders PRIVATE
    GETTEXT_PACKAGE="xfce4-dxreminders-plugin"
    PACKAGE_LOCALE_DIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
    PACKAGE_NAME="xfce4-dxreminders-plugin"
    PACKAGE_VERSION="${dxreminders_version}"
    BINDIR="${CMAKE_INSTALL_FULL_BINDIR}"
    DATADIR="${CMAKE_INSTALL_FULL_DATADIR}"
    G_LOG_DOMAIN="dxreminders"
    GSEAL_ENABLE
    GTK_MULTIHEAD_SAFE)

install(TARGETS dxreminders LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/xfce4/panel/plugins)
install(FILES dxreminders.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/xfce4/panel/plugins)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
file(GLOB _po_files *.po)
GETTEXT_CREATE_TRANSLATIONS(xfce4-dxreminders-plugin.pot ALL ${_po_files})

=== debian/changelog ===
xfce4-dxreminders-plugin (1.0.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Rename upstream tarball to remove -1 and add .orig.
  * Rules: add override_dh_strip: dh_strip --no-automatic-dbgsym.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 21 Sep 2021 10:51:32 -0400

xfce4-dxreminders-plugin (1.0.0-1) unstable; urgency=low

  * Initial release

 -- David Vachulka <arch_dvx@users.sourceforge.net>  Sun, 21 Jun 2020 13:13:13 +0200

=== debian/control ===
Source: xfce4-dxreminders-plugin
Section: misc
Priority: extra
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: David Vachulka <arch_dvx@users.sourceforge.net>
Build-Depends: debhelper (>= 9), make, cmake, gettext, libxfce4panel-2.0-dev, libxfce4ui-2-dev, pkg-config
Standards-Version: 4.2.1
Homepage: https://dxreminders.dxsolutions.org

Package: xfce4-dxreminders-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dxreminders (>= 1.20.0)
Description: reminders, date and time plugin for the Xfce4 panel
 This plugin shows the date and time in the panel, and mini-calendar or
 dxReminders (depends on option) appears when you left-click on it.
 dxReminders appers on right-click menu.
